.key-row:last-child {
	border-bottom: 1px solid #444;
}
.key {
	margin: 0;
	border-top: 1px solid #444;
	border-left: 1px solid #444;
	text-align: center;
}
.key:last-child {
	border-right: 1px solid #444;
}
.key-u2 {
	border-top: 0;
}
/* ABNT big enter */
.key-abe {
	border-left: 0;
}
.key-func {
	background-color: #1dc528;
}
.key-num {
	background-color: #ffae00;
}
.key-arr {
	background-color: #ff3a9b;
}
.key-space {
	background-color: #ffd67d;
}
.key-no {
	border-top: 0;
	border-right: 0;
	border-bottom: 1px solid #fff;
	border-left: 0;
}
/* xs = Extra small */
.key     { height:  32px; line-height: 32px; }
.key-dbl  { line-height: 16px; }
.key-dblt { line-height: 13px; padding-top: 3px; }
.key-0u25 { width:   8px; }
.key-0u5  { width:  16px; }
.key-0u75 { width:  24px; }
.key-1u   { width:  32px; }
.key-1u25 { width:  40px; }
.key-1u5  { width:  48px; }
.key-1u75 { width:  56px; }
.key-2u   { width:  64px; }
.key-2u25 { width:  72px; }
.key-2u5  { width:  80px; }
.key-2u75 { width:  88px; }
.key-3u   { width:  96px; }
.key-4u   { width: 128px; }
.key-6u   { width: 192px; }
.key-6u25 { width: 200px; }
.key-6u5  { width: 208px; }
.key-7u   { width: 224px; }
/* sm = Small */
@media (min-width: 576px) {
	.key     { height:  32px; line-height: 32px; }
	.key-dbl  { line-height: 16px; }
	.key-dblt { line-height: 13px; padding-top: 3px; }
	.key-0u25 { width:   8px; }
	.key-0u5  { width:  16px; }
	.key-0u75 { width:  24px; }
	.key-1u   { width:  32px; }
	.key-1u25 { width:  40px; }
	.key-1u5  { width:  48px; }
	.key-1u75 { width:  56px; }
	.key-2u   { width:  64px; }
	.key-2u25 { width:  72px; }
	.key-2u5  { width:  80px; }
	.key-3u   { width:  96px; }
	.key-4u   { width: 128px; }
	.key-2u75 { width:  88px; }
	.key-6u   { width: 192px; }
	.key-6u25 { width: 200px; }
	.key-6u5  { width: 208px; }
	.key-7u   { width: 224px; }
}
/* md = Medium */
@media (min-width: 768px) {
	.key     { height:  44px; line-height: 44px; font-weight: bold; }
	.key-dbl  { line-height: 22px; }
	.key-dblt { line-height: 18px; padding-top: 4px; }
	.key-0u25 { width:  11px; }
	.key-0u5  { width:  22px; }
	.key-0u75 { width:  33px; }
	.key-1u   { width:  44px; }
	.key-1u25 { width:  55px; }
	.key-1u5  { width:  66px; }
	.key-1u75 { width:  77px; }
	.key-2u   { width:  88px; }
	.key-2u25 { width:  99px; }
	.key-2u5  { width: 110px; }
	.key-2u75 { width: 121px; }
	.key-3u   { width: 132px; }
	.key-4u   { width: 176px; }
	.key-6u   { width: 264px; }
	.key-6u25 { width: 275px; }
	.key-6u5  { width: 286px; }
	.key-7u   { width: 308px; }
}
/* lg = Large */
@media (min-width: 992px) {
	.key     { height:  60px; line-height: 60px; }
	.key-dbl  { line-height: 30px; }
	.key-dblt { line-height: 25px; padding-top: 5px; }
	.key-0u25 { width:  15px; }
	.key-0u5  { width:  30px; }
	.key-0u75 { width:  45px; }
	.key-1u   { width:  60px; }
	.key-1u25 { width:  75px; }
	.key-1u5  { width:  90px; }
	.key-1u75 { width: 105px; }
	.key-2u   { width: 120px; }
	.key-2u25 { width: 135px; }
	.key-2u5  { width: 150px; }
	.key-2u75 { width: 165px; }
	.key-3u   { width: 180px; }
	.key-4u   { width: 240px; }
	.key-6u   { width: 360px; }
	.key-6u25 { width: 375px; }
	.key-6u5  { width: 390px; }
	.key-7u   { width: 420px; }
}
/* xl = X-Large */
@media (min-width: 1200px) {
	.key     { height:  72px; line-height: 72px; }
	.key-dbl  { line-height: 36px; }
	.key-dblt { line-height: 30px; padding-top: 6px; }
	.key-0u25 { width:  18px; }
	.key-0u5  { width:  36px; }
	.key-0u75 { width:  54px; }
	.key-1u   { width:  72px; }
	.key-1u25 { width:  90px; }
	.key-1u5  { width: 108px; }
	.key-1u75 { width: 126px; }
	.key-2u   { width: 144px; }
	.key-2u25 { width: 162px; }
	.key-2u5  { width: 180px; }
	.key-2u75 { width: 198px; }
	.key-3u   { width: 216px; }
	.key-4u   { width: 288px; }
	.key-6u   { width: 432px; }
	.key-6u25 { width: 450px; }
	.key-6u5  { width: 468px; }
	.key-7u   { width: 504px; }
}
/* xxl = XX-Large */
@media (min-width: 1400px) {
	.key     { height:  84px; line-height: 84px; }
	.key-dbl  { line-height: 42px; }
	.key-dblt { line-height: 35px; padding-top: 7px; }
	.key-0u25 { width:  21px; }
	.key-0u5  { width:  42px; }
	.key-0u75 { width:  63px; }
	.key-1u   { width:  84px; }
	.key-1u25 { width: 105px; }
	.key-1u5  { width: 126px; }
	.key-1u75 { width: 147px; }
	.key-2u   { width: 168px; }
	.key-2u25 { width: 189px; }
	.key-2u5  { width: 210px; }
	.key-2u75 { width: 231px; }
	.key-3u   { width: 252px; }
	.key-4u   { width: 336px; }
	.key-6u   { width: 504px; }
	.key-6u25 { width: 525px; }
	.key-6u5  { width: 546px; }
	.key-7u   { width: 588px; }
}
